<?xml version="1.0" encoding="UTF-8"?><!--
/*
 * ============================================================================
 * Licensed Materials - Property of IBM
 * Project  Zero
 *
 * (C) Copyright IBM Corp. 2007  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 * ============================================================================
 */
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
<xsl:element name="resolvers">
    <xsl:for-each select="ivysettings/resolvers/filesystem">
       <xsl:element name="shared">
         <xsl:value-of select="@name" />
       </xsl:element>
    </xsl:for-each>

    <xsl:for-each select="ivysettings/resolvers/zerourlresolver">
       <xsl:element name="zero">
           <xsl:element name="name">
              <xsl:value-of select="@name" />
           </xsl:element>
           <xsl:element name="host">
               <xsl:for-each select="ivy">
                   <xsl:value-of select="@pattern" />
               </xsl:for-each>
           </xsl:element>
       </xsl:element>
    </xsl:for-each>

    <xsl:for-each select="ivysettings/resolvers/zeroibiblioresolver">
       <xsl:element name="maven">
         <xsl:element name="name">
            <xsl:value-of select="@name" />
         </xsl:element>
         <xsl:element name="host">
               <xsl:value-of select="@root" />
         </xsl:element>
       </xsl:element>
    </xsl:for-each>
</xsl:element>

   <xsl:for-each select="ivysettings/resolvers/chain">
      <chain>
      <xsl:for-each select="resolver">
          <xsl:element name="resolver">
            <xsl:value-of select="@ref" />
          </xsl:element>
      </xsl:for-each>
      </chain>
   </xsl:for-each>
</xsl:template>

</xsl:stylesheet>
