<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="text" />

<xsl:template match="/">
  		<xsl:text>{</xsl:text>
		<xsl:for-each select="/ivy-report/dependencies/module">
			<xsl:apply-templates select="." />
		</xsl:for-each>
		<xsl:text>}</xsl:text>
	</xsl:template>

	<xsl:template match="//module">
		<xsl:text>"</xsl:text>
		<xsl:value-of select="@organisation"/>
		<xsl:text>:</xsl:text>
		<xsl:value-of select="@name"/>
		<xsl:text>:</xsl:text>
		<xsl:value-of select="revision/@name"/>
		<xsl:text>" : "</xsl:text>
		<xsl:value-of select="//revision/@resolver[not(.=preceding::revision/@resolver)]"/>
		<xsl:text>"</xsl:text>
        <xsl:if test="following-sibling::module">,</xsl:if>
	</xsl:template>
	
</xsl:stylesheet>

